Bug 472714 - boost-devel package dependencies broken horribly on F10
boost-devel package dependencies broken horribly on F10
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 19:37 EST by Ben Gamari
Modified: 2013-08-09 01:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 10:50:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Gamari 2008-11-23 19:37:42 EST
Description of problem:
Can't install boost-devel due to badly broken dependencies.

$ sudo yum install boost-devel
Loaded plugins: allowdowngrade, changelog, downloadonly, fastestmirror, list-
              : data, merge-conf, refresh-packagekit
Loading mirror speeds from cached hostfile
 * rawhide-debuginfo: mirror.cc.vt.edu
 * rawhide-source: mirror.cc.vt.edu
 * fedora: mirror.cc.vt.edu
 * rpmfusion-free-updates: lordmorgul.net
 * rpmfusion-free: lordmorgul.net
 * rawhide: mirror.cc.vt.edu
 * updates: mirror.cc.vt.edu
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package boost-devel.x86_64 0:1.34.1-17.fc10 set to be updated
--> Processing Dependency: boost = 1.34.1-17.fc10 for package: boost-devel
--> Processing Dependency: libboost_iostreams-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_serialization.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_signals.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_thread-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_python.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_serialization-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wserialization.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_regex-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wserialization-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_program_options-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_prg_exec_monitor.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wave.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_unit_test_framework-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_signals-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_program_options.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_date_time.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_graph.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_filesystem-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_unit_test_framework.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_prg_exec_monitor-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_date_time-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wave-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_regex.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_filesystem.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_graph-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_iostreams.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_python-mt.so.3()(64bit) for package: boost-devel
--> Running transaction check
---> Package boost-devel.x86_64 0:1.34.1-17.fc10 set to be updated
--> Processing Dependency: libboost_iostreams-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_serialization.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_signals.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_thread-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_python.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_serialization-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wserialization.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_regex-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wserialization-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_program_options-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_prg_exec_monitor.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wave.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_unit_test_framework-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_signals-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_program_options.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_date_time.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_graph.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_filesystem-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_unit_test_framework.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_prg_exec_monitor-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_date_time-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wave-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_regex.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_filesystem.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_graph-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_iostreams.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_python-mt.so.3()(64bit) for package: boost-devel
---> Package boost.i386 0:1.34.1-17.fc10 set to be updated
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.5) for package: boost
--> Processing Dependency: libicuuc.so.40 for package: boost
--> Processing Dependency: libstdc++.so.6 for package: boost
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4) for package: boost
--> Processing Dependency: libicui18n.so.40 for package: boost
--> Processing Dependency: libgcc_s.so.1(GCC_3.0) for package: boost
--> Processing Dependency: libbz2.so.1 for package: boost
--> Processing Dependency: libgcc_s.so.1 for package: boost
--> Processing Dependency: libstdc++.so.6(GLIBCXX_3.4.9) for package: boost
--> Processing Dependency: libstdc++.so.6(CXXABI_1.3) for package: boost
--> Processing Dependency: libgcc_s.so.1(GLIBC_2.0) for package: boost
--> Running transaction check
---> Package bzip2-libs.i386 0:1.0.5-3.fc10 set to be updated
---> Package libgcc.i386 0:4.3.2-7 set to be updated
---> Package boost-devel.x86_64 0:1.34.1-17.fc10 set to be updated
--> Processing Dependency: libboost_iostreams-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_serialization.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_signals.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_thread-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_python.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_serialization-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wserialization.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_regex-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wserialization-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_program_options-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_prg_exec_monitor.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wave.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_unit_test_framework-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_signals-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_program_options.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_date_time.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_graph.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_filesystem-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_unit_test_framework.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_prg_exec_monitor-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_date_time-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_wave-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_regex.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_filesystem.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_graph-mt.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_iostreams.so.3()(64bit) for package: boost-devel
--> Processing Dependency: libboost_python-mt.so.3()(64bit) for package: boost-devel
---> Package libstdc++.i386 0:4.3.2-7 set to be updated
---> Package libicu.i386 0:4.0-3.fc10 set to be updated
--> Finished Dependency Resolution
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_prg_exec_monitor.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_wserialization-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_graph-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_filesystem.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_iostreams.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_date_time.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_filesystem-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_serialization-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_unit_test_framework.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_regex.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_python-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_unit_test_framework-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_wave-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_program_options-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_wave.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_thread-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_prg_exec_monitor-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_iostreams-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_program_options.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_date_time-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_serialization.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_signals-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_python.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_wserialization.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_regex-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_signals.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
boost-devel-1.34.1-17.fc10.x86_64 from fedora has depsolving problems
  --> Missing Dependency: libboost_graph.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_wserialization.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_iostreams.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_signals.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_serialization-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_python.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_iostreams-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_date_time.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_program_options-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_date_time-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_graph.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_unit_test_framework-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_python-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_wave.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_prg_exec_monitor-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_prg_exec_monitor.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_unit_test_framework.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_graph-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_wave-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_signals-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_filesystem.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_wserialization-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_regex.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_program_options.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_filesystem-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_thread-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_regex-mt.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Error: Missing Dependency: libboost_serialization.so.3()(64bit) is needed by package boost-devel-1.34.1-17.fc10.x86_64 (fedora)
Comment 1 Petr Machata 2008-11-24 07:24:48 EST
What does rpm -q boost give you?  Can you try to re-install base boost package?
Comment 2 Rex Dieter 2008-11-24 09:03:50 EST
fwiw, works fine here (on i386 at least).  The problem(s) as reported, are at least partially multilib-related (I see some .i386 references above).
Comment 3 Ben Gamari 2008-11-24 10:50:49 EST
$ rpm -q boost
boost-1.36.0-0.1.beta1.fc10.x86_64

Yes, I noticed the i386 references as well but I'm not entirely sure why those packages got pulled in to the dependency tree. I think I should be runnig a pretty x86_64 system.

However after removing boost, I was able to install both boost and boost-devel without an issue. Strange. Thanks a lot for your help.
Comment 4 Petr Machata 2008-11-24 14:10:24 EST
There was a botched boost update sometime back, the beta packages you are seeing are aftermath of that.

Note You need to log in before you can comment on or make changes to this bug.